Bug 633919 - Adding log rotation to /var/log/brcm-iscsi.log
Summary: Adding log rotation to /var/log/brcm-iscsi.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node
Version: 5.6
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: 5.6
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 703995
TreeView+ depends on / blocked
 
Reported: 2010-09-14 16:53 UTC by Alan Pevec
Modified: 2011-10-09 21:59 UTC (History)
9 users (show)

Fixed In Version: ovirt-node-1.0-58.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, "/var/log/brcm-iscsi.log" file was not log-rotated by default. With this update, log rotation of the "/var/log/brcm-iscsi.log" file is enabled to prevent it from growing indefinitely. Additionally, a previously existing bug was discovered that prevented the "/var/log/ovirt.log" file from being rotated. This update fixes this issue, and log rotatation for the "/var/log/ovirt.log" file works as expected.
Clone Of: 602959
Environment:
Last Closed: 2011-07-27 14:41:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch (711 bytes, patch)
2011-05-10 15:20 UTC, Mike Burns
apevec: review+
Details | Diff
Follow-up patch (784 bytes, patch)
2011-05-17 12:31 UTC, Mike Burns
apevec: review+
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1090 normal SHIPPED_LIVE Moderate: rhev-hypervisor security and bug fix update 2011-07-27 14:40:56 UTC

Description Alan Pevec 2010-09-14 16:53:53 UTC
Original bug is targeting 6.1 only, so for RHEL 5.6 based RHEV-H we're going to add logrotate entry for /var/log/brcm-iscsi.log in the image directly.


+++ This bug was initially created as a clone of Bug #602959 +++

The uIP, brcm_iscsiuio, daemon doesn't rotation it's own log file usually found at /var/log/brcm-iscsi.log.  If left unchecked this file can grow unbounded and unchecked especially if high debug output is enabled and the machine is left on for a long time.

Comment 1 Mike Burns 2011-05-10 15:20:52 UTC
Created attachment 498067 [details]
Patch

Added brcm-iscsi.log to list of logs to be rotated.

Currently set to be same options as ovirt.log.

Comment 3 Mike Burns 2011-05-17 12:31:05 UTC
Created attachment 499343 [details]
Follow-up patch

See bug 703995 comment 5 for details

Patch fixes ovirt log rotation

Comment 4 Martin Prpič 2011-06-02 15:06:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, "/var/log/brcm-iscsi.log" file was not log-rotated by default. With this update, log rotation of the "/var/log/brcm-iscsi.log" file is enabled to prevent it from growing indefinitely. Additionally, a previously existing bug was discovered that prevented the "/var/log/ovirt.log" file from being rotated. This update fixes this issue, and log rotatation for the "/var/log/ovirt.log" file works as expected.

Comment 5 Guohua Ouyang 2011-06-24 04:55:01 UTC
Verified on rhev-hypervisor-5.7-20110622.0.el5, brcm-iscsi.log is rotated and compressed while it got big:

# ll brcm*
-rw-r--r-- 1 root root      0 Jun 24 04:00 brcm-iscsi.log
-rw-r--r-- 1 root root 561495 Jun 24 04:00 brcm-iscsi.log.1.gz


it's configured in /etc/logrotate.d/ovirt-node:
# cat /etc/logrotate.d/ovirt-node 
/var/log/ovirt*.log /var/log/mcelog /var/log/brcm-iscsi.log {
    rotate 3
    compress
    missingok
    size 1M
    create
}

Comment 6 Guohua Ouyang 2011-06-24 05:13:04 UTC
ovirt.log is also rotated when it got big:

# cd /var/log
[root@localhost log]# ll ovirt*
-rw-r--r-- 1 root root  1126 Jun 24 05:11 ovirt.log
-rw-r--r-- 1 root root 18450 Jun 24  2011 ovirt.log-tmp
-rw-r--r-- 1 root root 34558 Jun 24 05:10 ovirt.log.1.gz

Comment 7 errata-xmlrpc 2011-07-27 14:41:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1090.html

Comment 8 John Brier 2011-08-09 18:07:00 UTC
It seems to me the log rotation of brcm-iscsi.log should have been fixed in iscsi-initiator-utils instead of in ovirt-node.

I have a customer on plain RHEL 5 libvirt/kvm which does not use ovirt-node so I opened a separate bug on RHEL.

https://bugzilla.redhat.com/show_bug.cgi?id=729355

Comment 9 Alan Pevec 2011-08-09 19:48:13 UTC
(In reply to comment #8)
> It seems to me the log rotation of brcm-iscsi.log should have been fixed in
> iscsi-initiator-utils instead of in ovirt-node.

Agreed, but as comment 0 says, original bug 602959 was targeted to be fixed in 6.x only so we fixed where we could.

Comment 10 Mike Christie 2011-08-09 21:57:02 UTC
I thought we had a bz for iscsi-initiator-utils in rhel 5 too. I will try to find it.

Comment 11 John Brier 2011-08-10 18:43:54 UTC
(In reply to comment #10)
> I thought we had a bz for iscsi-initiator-utils in rhel 5 too. I will try to
> find it.

I searched before I opened the one above.. didn't see anything but maybe there is one.


Note You need to log in before you can comment on or make changes to this bug.